Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shoppingadvisor
Interface ItemByDegree

All Known Implementing Classes:
  ItemByDegreeImpl

public interface ItemByDegree
extends Belonging

This class associates an item with a degree. Used to sort items by degree, once we we decide which quality we want.

                      degree
     [ItemByDegree] <*>------> [int]

                      item
     [ItemByDegree] <>------> [theory.smart.ebusiness.item.Item]

See Also:
  `ItemByDegreeHome`, `ItemByDegreeImpl`

Method Summary
`int` | `getDegree()` Get the value of degree
`Item` | `getItem()` Get the remote object reference of item
`SmartHandle` | `getItemHandle()`
`ItemPk` | `getItemKey()` Get the Primary Key of the object from the smart handle so that Item itself does have to be referenced.
`void` | `setDegree(int degree)` Set the value of degree
`void` | `setItem(Item item)` Set the remote object reference of item

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getDegree

    public int getDegree()

  Get the value of degree
  Returns:
    degree.

### setDegree

    public void setDegree(int degree)

  Set the value of degree
  Parameters:
    `degrees` - degree to be added

### getItem

    public Item getItem()
                 throws java.rmi.RemoteException

  Get the remote object reference of item
  Returns:
    item.

### setItem

    public void setItem(Item item)
                 throws java.rmi.RemoteException

  Set the remote object reference of item
  Parameters:
    `items` - item to be added

### getItemKey

    public ItemPk getItemKey()
                      throws java.rmi.RemoteException

  Get the Primary Key of the object from the smart handle so that Item itself does have to be referenced.

### getItemHandle

    public SmartHandle getItemHandle()
                              throws java.rmi.RemoteException

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.